Open CASCADE Technology: StepGeom_SurfacePatch Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_SurfacePatch Class Reference

`#include <StepGeom_SurfacePatch.hxx>`

Inheritance diagram for StepGeom_SurfacePatch:
[legend]

## Public Member Functions
| StepGeom_SurfacePatch ()
| Returns a SurfacePatch. More...
virtual void | Init (const Handle< StepGeom_BoundedSurface > &aParentSurface, const StepGeom_TransitionCode aUTransition, const StepGeom_TransitionCode aVTransition, const Standard_Boolean aUSense, const Standard_Boolean aVSense)
void | SetParentSurface (const Handle< StepGeom_BoundedSurface > &aParentSurface)
Handle< StepGeom_BoundedSurface > | ParentSurface () const
void | SetUTransition (const StepGeom_TransitionCode aUTransition)
StepGeom_TransitionCode | UTransition () const
void | SetVTransition (const StepGeom_TransitionCode aVTransition)
StepGeom_TransitionCode | VTransition () const
void | SetUSense (const Standard_Boolean aUSense)
Standard_Boolean | USense () const
void | SetVSense (const Standard_Boolean aVSense)
Standard_Boolean | VSense () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepGeom_SurfacePatch::StepGeom_SurfacePatch | ( |  | ) |

Returns a SurfacePatch.

## Member Function Documentation

virtual void StepGeom_SurfacePatch::Init | ( | const Handle< StepGeom_BoundedSurface > & | aParentSurface,
|  | const StepGeom_TransitionCode | aUTransition,
|  | const StepGeom_TransitionCode | aVTransition,
|  | const Standard_Boolean | aUSense,
|  | const Standard_Boolean | aVSense
| ) |  |
| virtual

Handle< StepGeom_BoundedSurface > StepGeom_SurfacePatch::ParentSurface | ( |  | ) | const

void StepGeom_SurfacePatch::SetParentSurface | ( | const Handle< StepGeom_BoundedSurface > & | aParentSurface | ) |

void StepGeom_SurfacePatch::SetUSense | ( | const Standard_Boolean | aUSense | ) |

void StepGeom_SurfacePatch::SetUTransition | ( | const StepGeom_TransitionCode | aUTransition | ) |

void StepGeom_SurfacePatch::SetVSense | ( | const Standard_Boolean | aVSense | ) |

void StepGeom_SurfacePatch::SetVTransition | ( | const StepGeom_TransitionCode | aVTransition | ) |

Standard_Boolean StepGeom_SurfacePatch::USense | ( |  | ) | const

StepGeom_TransitionCode StepGeom_SurfacePatch::UTransition | ( |  | ) | const

Standard_Boolean StepGeom_SurfacePatch::VSense | ( |  | ) | const

StepGeom_TransitionCode StepGeom_SurfacePatch::VTransition | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepGeom_SurfacePatch.hxx